@echo off

REM Batch File to Create Dell HIP package for Windows NT
REM J. Coppock 11/25/98

REM *****************************************************
REM
REM     Check that variables are set correctly
REM
REM *****************************************************

if "%BUILD_ROOT%." == "." goto set_error
if "%HIPREV%." == "." goto set_error
if "%MSDEV_DIR%." == "." goto set_error
if "%DMIDIR%." == "." goto set_error
if "%REL_DIR%." == "." goto set_error
if "%OV_DIR%." == "." goto set_error


cd %BUILD_ROOT%\Install_Build\PERC
cd Code

set RETURN_FLAG=TRUE

del _instpgm.exe
nmake /f "_inst32.mak" CFG="_inst32 - Win32 Debug" clean >NUL: 2>&1
nmake /f "_inst32.mak" CFG="_inst32 - Win32 Debug" > SetupDbg.err 2>&1
copy _instpgm.exe Debug
del _instpgm.exe
if not exist Debug\_instpgm.exe set RETURN_FLAG=FALSE

del _instpgm.exe
nmake /f "_inst32.mak" CFG="_inst32 - Win32 Release" clean >NUL: 2>&1
nmake /f "_inst32.mak" CFG="_inst32 - Win32 Release" > SetupRel.err 2>&1
copy _instpgm.exe Release
del _instpgm.exe
if not exist Release\_instpgm.exe set RETURN_FLAG=FALSE

copy *.err %REL_DIR%\error
